List timeline entries for all profiles
GET
/v1/timelines
Parameters
Query Parameters
limit
Return the latest N matching entries. Defaults to 1024.
The server caps 0 and values above 1024 to 1024. Negative and
non-integer values return 400.
Type
integer
Minimum
0Default
1024model
Return only entries whose model exactly matches this value.
Type
string
model_vendor
Return only entries whose model_vendor exactly matches this value.
Type
string
inference_provider
Return only entries whose inference_provider exactly matches this value.
Type
string
case_id
Return only entries whose case_id exactly matches this value.
Type
string
Responses
Timelines keyed by profile name
application/json
JSON "profiles": { "additionalProperties": { "provider": "string", "model": "string", "model_vendor": "string", "inference_provider": "string", "entries": [ { "run_id": "string", "timestamp": "string", "finished_at": "string", "case_id": "string", "profile": "string", "success": true, "total_score": 0, "raw_score": 0, "max_score": 0, "normalized_score": 0, "metrics": { "read_file_calls": 0, "write_file_calls": 0, "list_dir_calls": 0, "read_write_ratio": 0, "pre_write_read_coverage": 0 }, "deductions": [ { "name": "string", "points": 0, "description": "string" } ], "bonuses": [ { "name": "string", "points": 0, "description": "string" } ] } ] } }
{
}
